# The Statistics and Calculus with Python Workshop
[![GitHub issues](https://img.shields.io/github/issues/PacktWorkshops/The-Statistics-and-Calculus-with-Python-Workshop.svg)](https://github.com/PacktWorkshops/The-Statistics-and-Calculus-with-Python-Workshop/issues)
[![GitHub forks](https://img.shields.io/github/forks/PacktWorkshops/The-Statistics-and-Calculus-with-Python-Workshop.svg)](https://github.com/PacktWorkshops/The-Statistics-and-Calculus-with-Python-Workshop/network)
[![GitHub stars](https://img.shields.io/github/stars/PacktWorkshops/The-Statistics-and-Calculus-with-Python-Workshop.svg)](https://github.com/PacktWorkshops/The-Statistics-and-Calculus-with-Python-Workshop/stargazers)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/PacktWorkshops/The-Statistics-and-Calculus-with-Python-Workshop/pulls)
[![versions](https://img.shields.io/pypi/pyversions/pybadges.svg)](https://www.python.org/downloads/)

This is the repository for The Statistics and Calculus with Python Workshop, published by [Packt](https://www.packtpub.com/?utm_source=github). It contains all the supporting project files necessary to work through the course from start to finish.

## Requirements and Setup
<a href="https://www.amazon.com/Statistics-Calculus-Python-Workshop-comprehensive/dp/1800209762/ref=tmm_pap_swatch_0?_encoding=UTF8&qid=1611065425&sr=1-1-fkmr1&utm_source=github&utm_medium=repository&utm_campaign=9781801078719&utm_term=Statistics%20and%20Calculus%20with%20Python&utm_content=The%20Statistics%20and%20Calculus%20with%20Python%20Workshop"><img src="https://github.com/PacktWorkshops/Workshop-Covers/blob/master/B15968_The%20Statistics%20and%20Calculus%20Workshop.png" alt="The Statistics and Calculus with Python Workshop" height="320px" width="240px" align="right" this.target="_blank"></a>

To get started with the project files, you'll need to:
1. Install Jupyter on [Windows](https://www.python.org/downloads/windows/), [Mac](https://www.python.org/downloads/mac-osx/), [Linux](https://www.python.org/downloads/source/)
2. Install Anaconda on [Windows](https://www.anaconda.com/distribution/#windows), [Mac](https://www.anaconda.com/distribution/#macos), [Linux](https://www.anaconda.com/distribution/#linux)

## About The Statistics and Calculus with Python Workshop
[The Statistics and Calculus with Python Workshop](https://www.amazon.com/Statistics-Calculus-Python-Workshop-comprehensive/dp/1800209762/ref=tmm_pap_swatch_0?_encoding=UTF8&qid=1611065425&sr=1-1-fkmr1&utm_source=github&utm_medium=repository&utm_campaign=9781801078719&utm_term=Statistics%20and%20Calculus%20with%20Python&utm_content=The%20Statistics%20and%20Calculus%20with%20Python%20Workshop) is ideal for those who need a refresher in the mathematics that make the practical applications of modern artificial intelligence possible. Starting with foundational mathematical concepts like functions and matrices, the book covers the entire spectrum of calculus and statistics, teaching you the techniques you need to solve mathematical challenges with Python and AI.

## What you will learn
* Get to grips with the fundamental mathematical functions in Python 
* Perform calculations on tabular datasets using pandas 
* Understand the differences between polynomials, rational functions, exponential functions, and trigonometric functions 
* Use algebra techniques for solving systems of equations 
* Solve real-world problems with probability 
* Solve optimization problems with derivatives and integrals 

## Related Workshops
If you've found this repository useful, you might want to check out some of our other workshop titles:
* [The Data Science Workshop](https://www.amazon.com/Data-Science-Workshop-learning-real-world-dp-1800566921/dp/1800566921/ref=mt_other?_encoding=UTF8&me=&qid=1611065035&utm_source=github&utm_medium=repository&utm_campaign=9781800566927&utm_term=Data%20Science&utm_content=The%20Data%20Science%20Workshop)
* [The Applied Data Science Workshop](https://www.amazon.com/Applied-Data-Science-Workshop-applications/dp/1800202504/ref=tmm_pap_swatch_0?_encoding=UTF8&qid=1611064853&sr=1-1&utm_source=github&utm_medium=repository&utm_campaign=9781800202504&utm_term=Applied%20Data%20Science&utm_content=The%20Applied%20Data%20Science%20Workshop)
* [The Data Wrangling Workshop](https://www.amazon.com/Data-Wrangling-Workshop-actionable-insights/dp/1839215003/ref=tmm_pap_swatch_0?_encoding=UTF8&qid=1611065162&sr=1-1&utm_source=github&utm_medium=repository&utm_campaign=9781801078955&utm_term=Data%20Wrangling&utm_content=The%20Data%20Wrangling%20Workshop)
